package com.iwangding.scsp_mobile_demo;

import android.app.ActivityManager;
import android.app.Application;
import android.content.Context;
import android.os.Process;

import com.iwangding.basis.IWangDing;
import com.iwangding.basis.util.BuildUtil;
import com.iwangding.basis.util.LogUtil;

import java.util.List;

public class MainApplication extends Application {

    @Override
    public void onCreate() {
        super.onCreate();
        LogUtil.setShow(BuildConfig.DEBUG);

//        spid = "ludashi-wifi";

        IWangDing.initialize(getApplicationContext(), "wdkj", "wdkj", BuildUtil.getDeviceId(getApplicationContext()));
//        WxUtil.newInstance(this);
        String currentProcessName = getCurrentProcessName();
        if(currentProcessName.equals(getPackageName())) {
            // 建议只在需要的进程初始化SDK即可，如主进程
            initSDK(this);
        }
    }

    private String getCurrentProcessName() {
        int pid = Process.myPid();
        String currentProcessName = "";
        ActivityManager activityManager = (ActivityManager) getApplicationContext().getSystemService(Context.ACTIVITY_SERVICE);
        List<ActivityManager.RunningAppProcessInfo> runningAppProcesses = activityManager.getRunningAppProcesses();
        for (ActivityManager.RunningAppProcessInfo processInfo : runningAppProcesses) {
            if (pid == processInfo.pid) {
                currentProcessName = processInfo.processName;
            }
        }
        return currentProcessName;
    }

    private static final String APP_KEY = "831899f8-567c-4e75-8922-7f345bb57f7c";
    private static final String APP_WB_KEY = "cK7PgwbAr";

    public static void initSDK(Context appContext) {
//        KsAdSDK.init(appContext, new SdkConfig.Builder()
//                .appId("90009") // 测试aapId，请联系快手平台申请正式AppId，必填
//                .appName("测试demo") // 测试appName，请填写您应用的名称，非必填
//                .appKey(APP_KEY) // 直播sdk安全验证，接入直播模块必填
//                .appWebKey(APP_WB_KEY) // 直播sdk安全验证，接入直播模块必填
//                // Feed和入口组件，夜间模式样式配置，如果不配置 默认是"ks_adsdk_night_styles.xml"
//                .nightThemeStyleAssetsFileName("ks_adsdk_night_styles.xml")
//                .showNotification(true) // 是否展示下载通知栏
//                .canReadNearbyWifiList(false)
//                .debug(false)
//                .build());
    }
}
